Area of closed polyline with curve error (v9)

Hello,I have found the areas of closed polylines in both the properties panel and as returned from vla-get-Area (at least for LWPOLYLINE) to be significantly different from my calculations with Bricscad v9. Both v7 and v8 agree with my checks.Also of note is the hatch area in the properties (and from vla-get-Area hatchObj) is close but not correct and changes depending on the zoom factor during the most recent REGEN. I do not know if this is the expected behaviour of hatches as I do not use them often and never for area.If your work relies on areas of closed polylines with curves (as reported) I suggest checking your drawings.I have submitted a support request complete with attached drawing.Regards.

Comments

  • Hmmm... the list command reports the correct area.Here is a test to compare with the ouput from LIST command:

    (defun make_test_lwpline ( / );;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(8 . "0") '(100 . "AcDbPolyline") '(90 . 5) '(70 . 1) '(10 -40.0 -3.0) '(42 . 0.0) '(10 -42.0 20.0) '(42 . 0.0) '(10 -25.0 20.0) '(42 . -0.4) '(10 -8.0 4.0) '(42 . 0.0) '(10 -5.0 -5.0) '(42 . 0.0) ) ));;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;(defun C:TEST ( / a );;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (and (make_test_lwpline) (setq a (vla-get-Area (vlax-ename->vla-object (ssname (ssget "L") 0)))) (princ (strcat "\nvla-get-Area = " (rtos a 2 4) "\n should be 740.4415")) ) (prin1));;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;(prin1)
This discussion has been closed.